ChangeSet 1.1608.24.8, 2004/02/26 14:17:58-08:00, mdharm-usb@one-eyed-alien.net

[PATCH] USB Storage: DSC-T1 unusual_devs.h entry

Our friends at sony are at it again.  The DSC-T1 needs a new entry.  Note
that it's the same VID & PID as the last entry, but different version.


 drivers/usb/storage/unusual_devs.h |    8 ++++++++
 1 files changed, 8 insertions(+)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Tue Mar 16 15:06:41 2004
+++ b/drivers/usb/storage/unusual_devs.h	Tue Mar 16 15:06:41 2004
@@ -261,6 +261,14 @@
 		US_SC_SCSI, US_PR_DEVICE, NULL,
 		US_FL_SINGLE_LUN | US_FL_MODE_XLATE ),
 
+/* This entry is needed because the device reports Sub=ff */
+UNUSUAL_DEV(  0x054c, 0x0010, 0x0500, 0x0500, 
+               "Sony",
+               "DSC-T1", 
+               US_SC_8070, US_PR_DEVICE, NULL,
+               US_FL_SINGLE_LUN | US_FL_MODE_XLATE ),
+
+
 /* Reported by wim@geeks.nl */
 UNUSUAL_DEV(  0x054c, 0x0025, 0x0100, 0x0100, 
 		"Sony",
